export const config = {
  testApi: 'http://test-pc.duowan.cn',
  api: 'https://pc.duowan.cn'
}

export const lib = {
  request (req) {
    return new Promise(function (resolve, reject) {
      let timeStamp = (new Date()).getTime()
      let data = (req.data || {}) && Object.assign({
        _from: 'ajax',
        timeStamp: timeStamp
      }, req.data)

      wx.request({
        url: req.url,
        data: data,
        method: req.method || 'GET',
        header: {
          'content-type': 'application/json' // 默认值
        },
        success: function (p) {
          let str = JSON.stringify(p)
          str = str.replace(/"\/\//gi, '"https://')

          resolve(JSON.parse(str))
        },
        fail (error) {
          reject(error)
        }
      })
    })
  }
}
